﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace testViewableChildRecords
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.DataSource = Data.GenerateClass.GenerateStudentData();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataRecord dr = xamDataGrid1.Records[0] as DataRecord;
            if (dr == null)
                return;
            xamDataGrid1.Records[0].IsExpanded = true;
            StringBuilder sb = new StringBuilder();
            foreach (var child in dr.ViewableChildRecords)
            {
                sb.Append(child.ViewableChildRecords.Count.ToString() + Environment.NewLine);
                foreach (var c1 in child.ViewableChildRecords)
                {
                    sb.Append(c1.ToString() + Environment.NewLine);
                }
            }
            MessageBox.Show(sb.ToString());
        }
    }
}
